#### connect_pipe (1 of 2 overloads)

Connect two pipe ends using an anonymous pipe.

    template<
        typename Executor1,
        typename Executor2>
    void connect_pipe(
        basic_readable_pipe< Executor1 > & read_end,
        basic_writable_pipe< Executor2 > & write_end);

###### Parameters

read_end

  The read end of the pipe.

write_end

  The write end of the pipe.

###### Exceptions

asio::system_error

  Thrown on failure.